Bug 1732033 (CVE-2019-2822) - CVE-2019-2822 mysql: Shell: Admin / InnoDB Cluster unspecified vulnerability (CPU Jul 2019)
Summary: CVE-2019-2822 mysql: Shell: Admin / InnoDB Cluster unspecified vulnerability ...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2019-2822
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1732048
TreeView+ depends on / blocked
 
Reported: 2019-07-22 14:06 UTC by Marian Rehak
Modified: 2020-02-06 03:00 UTC (History)
21 users (show)

Fixed In Version: mysql 8.0.17
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-09 13:50:30 UTC


Attachments (Terms of Use)

Description Marian Rehak 2019-07-22 14:06:55 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Shell: Admin / InnoDB Cluster). Supported versions that are affected are 8.0.16 and prior. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks require human interaction from a person other than the attacker. Successful attacks of this vulnerability can result in takeover of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html

Comment 1 Marian Rehak 2019-07-22 14:25:51 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1732044]

Comment 4 Tomas Hoger 2019-08-09 13:50:30 UTC
This CVE should not be applicable to MySQL packages included in Red Hat products.  Oracle CPU page lists "Shell" as affected subcomponent.  MySQL Shell is an upstream project:

https://dev.mysql.com/doc/mysql-shell/8.0/en/

which is not bundled with the MySQL Community Server sources used to build MySQL packages included in Red Hat products.  However, Shell is included in the MySQL Enterprise Edition as part of the Enterprise High-Availability functionality:

https://www.mysql.com/products/enterprise/high_availability.html

Not considering MySQL packages in Red Hat products affected by this issue.


Note You need to log in before you can comment on or make changes to this bug.